"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AccessType = require("./enumsBaseObjects/AccessEnums");
const ActiveStatus = require("./enumsBaseObjects/ActiveStatusEnums");
const AlertFlagType = require("./enumsBaseObjects/AlertFlagEnums");
const AnswerStatus = require("./enumsBaseObjects/AnswerStatusEnums");
const ApplicationPersonRoleType = require("./enumsBaseObjects/ApplicationPersonRoleEnums");
const ApproveStatus = require("./enumsBaseObjects/ApproveStatusEnums");
const AssignmentStatus = require("./enumsBaseObjects/AssignmentStatusEnums");
const AssignAnswerStatus = require("./enumsBaseObjects/AssignAnswerStatusEnums");
const ChoiceDisplayType = require("./enumsBaseObjects/ChoiceDisplayEnums");
const CommandDisplayType = require("./enumsBaseObjects/CommandDisplayEnums");
const CommitteeProcessStatus = require("./enumsBaseObjects/CommitteeProcessStatusEnums");
const ConditionPValueType = require("./enumsBaseObjects/ConditionPValueEnums");
const ContentType = require("./enumsBaseObjects/ContentEnums");
const CreatedType = require("./enumsBaseObjects/CreatedEnums");
const CreateObjectiveType = require("./enumsBaseObjects/CreateObjectiveEnums");
const DataStatus = require("./enumsBaseObjects/DataStatusEnums");
const DisableStatus = require("./enumsBaseObjects/DisableStatusEnums");
const EnableStatus = require("./enumsBaseObjects/EnableStatusEnums");
const ExaminationType = require("./enumsBaseObjects/ExaminationEnums");
const ExaminationStatus = require("./enumsBaseObjects/ExaminationStatusEnums");
const ExamFormType = require("./enumsBaseObjects/ExamFormEnums");
const ExamFormCreateType = require("./enumsBaseObjects/ExamFormCreateEnums");
const ExamFormRandomType = require("./enumsBaseObjects/ExamFormRandomEnums");
const ExamItemType = require("./enumsBaseObjects/ExamItemEnums");
const ExamOperationType = require("./enumsBaseObjects/ExamOperationEnums");
const ExamPlanStatus = require("./enumsBaseObjects/ExamPlanStatusEnums");
const ExamPlanSubjectStatus = require("./enumsBaseObjects/ExamPlanSubjectStatusEnums");
const ExamReviewStatus = require("./enumsBaseObjects/ExamReviewStatusEnums");
const ExamStatus = require("./enumsBaseObjects/ExamStatusEnums");
const ExamTaskPlanType = require("./enumsBaseObjects/ExamTaskPlanEnums");
const ExamUseFlagType = require("./enumsBaseObjects/ExamUseFlagEnums");
const FlagType = require("./enumsBaseObjects/FlagEnums");
const FontType = require("./enumsBaseObjects/FontEnums");
const FormProcessStatus = require("./enumsBaseObjects/FormProcessStatusEnums");
const FormStatus = require("./enumsBaseObjects/FormStatusEnums");
const InformType = require("./enumsBaseObjects/InformEnums");
const InputOptionType = require("./enumsBaseObjects/InputOptionEnums");
const ItemAddType = require("./enumsBaseObjects/ItemAddEnums");
const ItemCopiedStatus = require("./enumsBaseObjects/ItemCopiedStatusEnums");
const KeeperType = require("./enumsBaseObjects/KeeperEnums");
const LockStatus = require("./enumsBaseObjects/LockStatusEnums");
const MessageType = require("./enumsBaseObjects/MessageEnums");
const MessageStatus = require("./enumsBaseObjects/MessageStatusEnums");
const MultimediaStatus = require("./enumsBaseObjects/MultimediaStatusEnums");
const NotifyType = require("./enumsBaseObjects/NotifyEnums");
const NotifyMessageType = require("./enumsBaseObjects/NotifyMessageEnums");
const NotifyStatus = require("./enumsBaseObjects/NotifyStatusEnums");
const ObjectiveFormatType = require("./enumsBaseObjects/ObjectiveFormatEnums");
const OperationStatus = require("./enumsBaseObjects/OperationStatusEnums");
const PaperExamFormRandomType = require("./enumsBaseObjects/PaperExamFormRandomEnums");
const PaymentStatus = require("./enumsBaseObjects/PaymentStatusEnums");
const PersonRoleType = require("./enumsBaseObjects/PersonRoleEnums");
const ProcessStatus = require("./enumsBaseObjects/ProcessStatusEnums");
const ReceiverStatus = require("./enumsBaseObjects/ReceiverStatusEnums");
const ReportType = require("./enumsBaseObjects/ReportEnums");
const RequireStatus = require("./enumsBaseObjects/RequireStatusEnums");
const ResponseType = require("./enumsBaseObjects/ResponseEnums");
const ReviewerProcessStatus = require("./enumsBaseObjects/ReviewerProcessStatusEnums");
const SendStatus = require("./enumsBaseObjects/SendStatusEnums");
const SendToTaskType = require("./enumsBaseObjects/SendToTaskEnums");
const SourceType = require("./enumsBaseObjects/SourceEnums");
const StatisticsUsedType = require("./enumsBaseObjects/StatisticsUsedEnums");
const SubjectType = require("./enumsBaseObjects/SubjectEnums");
const SubjectRoleType = require("./enumsBaseObjects/SubjectRoleEnums");
const TableMappingType = require("./enumsBaseObjects/TableMappingEnums");
const TaskType = require("./enumsBaseObjects/TaskEnums");
const TaskFeeUnitType = require("./enumsBaseObjects/TaskFeeUnitEnums");
const TaskOperationType = require("./enumsBaseObjects/TaskOperationEnums");
const UseType = require("./enumsBaseObjects/UseEnums");
const UsedStatus = require("./enumsBaseObjects/UsedStatusEnums");
const VerifyStatus = require("./enumsBaseObjects/VerifyStatusEnums");
const WalkinExamFormRandomType = require("./enumsBaseObjects/WalkinExamFormRandomEnums");
const ESIEnum = {
    ...AccessType,
    ...ActiveStatus,
    ...AlertFlagType,
    ...AnswerStatus,
    ...ApplicationPersonRoleType,
    ...ApproveStatus,
    ...AssignmentStatus,
    ...AssignAnswerStatus,
    ...ChoiceDisplayType,
    ...CommandDisplayType,
    ...CommitteeProcessStatus,
    ...ConditionPValueType,
    ...ContentType,
    ...CreatedType,
    ...CreateObjectiveType,
    ...DataStatus,
    ...DisableStatus,
    ...EnableStatus,
    ...ExaminationType,
    ...ExaminationStatus,
    ...ExamFormType,
    ...ExamFormCreateType,
    ...ExamFormRandomType,
    ...ExamItemType,
    ...ExamOperationType,
    ...ExamPlanStatus,
    ...ExamPlanSubjectStatus,
    ...ExamReviewStatus,
    ...ExamStatus,
    ...ExamTaskPlanType,
    ...ExamUseFlagType,
    ...FlagType,
    ...FontType,
    ...FormProcessStatus,
    ...FormStatus,
    ...InformType,
    ...InputOptionType,
    ...ItemAddType,
    ...ItemCopiedStatus,
    ...KeeperType,
    ...LockStatus,
    ...MessageType,
    ...MessageStatus,
    ...MultimediaStatus,
    ...NotifyType,
    ...NotifyMessageType,
    ...NotifyStatus,
    ...ObjectiveFormatType,
    ...OperationStatus,
    ...PaperExamFormRandomType,
    ...PaymentStatus,
    ...PersonRoleType,
    ...ProcessStatus,
    ...ReceiverStatus,
    ...ReportType,
    ...RequireStatus,
    ...ResponseType,
    ...ReviewerProcessStatus,
    ...SendStatus,
    ...SendToTaskType,
    ...SourceType,
    ...StatisticsUsedType,
    ...SubjectType,
    ...SubjectRoleType,
    ...TableMappingType,
    ...TaskType,
    ...TaskFeeUnitType,
    ...TaskOperationType,
    ...UseType,
    ...UsedStatus,
    ...VerifyStatus,
    ...WalkinExamFormRandomType,
};
exports.default = ESIEnum;
//# sourceMappingURL=index.js.map