"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExamTaskPlanType = void 0;
const enumsClass_1 = require("../enumsClass");
const ExamTaskPlanEnums = {
    AllBoth: {
        value: 11,
        th: "ทุกประเภทวิชา ปรนัย + อัตนัย",
        en: "ทุกประเภทวิชา ปรนัย + อัตนัย",
    },
    AllObjective: {
        value: 12,
        th: "ทุกประเภทวิชา ปรนัยล้วน",
        en: "ทุกประเภทวิชา ปรนัยล้วน",
    },
    AllSubjective: {
        value: 13,
        th: "ทุกประเภทวิชา อัตนัยล้วน",
        en: "ทุกประเภทวิชา อัตนัยล้วน",
    },
    GeneralBoth: {
        value: 21,
        th: "ชุดวิชาทั่วไป ปรนัย + อัตนัย",
        en: "ชุดวิชาทั่วไป ปรนัย + อัตนัย",
    },
    GeneralObjective: {
        value: 22,
        th: "ชุดวิชาทั่วไป ปรนัยล้วน",
        en: "ชุดวิชาทั่วไป ปรนัยล้วน",
    },
    GeneralSubjective: {
        value: 23,
        th: "ชุดวิชาทั่วไป อัตนัยล้วน",
        en: "ชุดวิชาทั่วไป อัตนัยล้วน",
    },
    DifficultBoth: {
        value: 32,
        th: "ชุดวิชายาก ปรนัย + อัตนัย",
        en: "ชุดวิชายาก ปรนัย + อัตนัย",
    },
    DifficultObjective: {
        value: 31,
        th: "ชุดวิชายาก ปรนัยล้วน",
        en: "ชุดวิชายาก ปรนัยล้วน",
    },
    DifficultSubjective: {
        value: 33,
        th: "ชุดวิชายาก อัตนัยล้วน",
        en: "ชุดวิชายาก อัตนัยล้วน",
    },
};
exports.ExamTaskPlanType = new enumsClass_1.Enums(ExamTaskPlanEnums);
//# sourceMappingURL=ExamTaskPlanEnums.js.map